Subject: Re: [TOOLS-DEVELOPMENT] Developing an SoW for a CSS

From: Robert Sparks <[email-masked]>
Date: Tue, 1 Mar 2016 14:50:54 -0600

Nit -

The new third sentence is a non-sequitur. Suggest breaking it into two 
sentences.

RjS

On 2/28/16 12:40 PM, Heather Flanagan (RFC Series Editor) wrote:
> On 2/22/16 10:47 AM, Heather Flanagan (RFC Series Editor) wrote:
>> On 2/22/16 10:27 AM, Julian Reschke wrote:
>>> On 2016-02-22 18:27, Heather Flanagan (RFC Series Editor) wrote:
>>>> Taking a given XML file that transforms into particular HTML and PDF
>>>> formats (as described in the requirements drafts), we want a page design
>>>> for CSS and PDF that will take into account accessibility and follow a
>>>> responsive design. The expected output of this RFP will be a single CSS
>>>> file that will be embedded in the rendered HTML and PDF. Note that the
>>>> HTML and PDF files must be rendered from the XML; the PDF will not be
>>>> generated through an HTML transformation.
>>>>
>>>> Is that clearer/more accurate?
>>> Since when do we have a requirement that the PDF can not be generated
>>> via the HTML version?
>>>
>> We talked about that on the design team, though I don't believe the
>> design team entirely agreed with me on it.  The output formats should be
>> generated from the XML; I think it lends more equivalence to the
>> outputs, and it (probably) shortens the path to possible issues in the
>> tool chain. Yes, I know there are tools that already exist that easily
>> convert from HTML to PDF. There are also tools that convert from XML to
>> PDF. I think this should be more about clean process than tools.
>>
> A revised draft of the SoW is attached. I've tried to offer more
> background, and included the list of requirements as discussed on the
> list earlier this month.
>
> -Heather
>
>
> _______________________________________________
> TOOLS-DEVELOPMENT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tools-development

---

From: "Heather Flanagan (RFC Series Editor)" <[email-masked]>
Date: Tue, 1 Mar 2016 13:06:20 -0800

Changes made as per feedback from Robert and Tony.

Thanks! Additional comments welcome.

-Heather

---

From: "Heather Flanagan (RFC Series Editor)" <[email-masked]>
Date: Fri, 25 Mar 2016 06:00:10 -0700

Hello all,

Just a reminder that feedback is welcome and encouraged on this draft
SoW. I would like to see it go out for community comment soon.

Thanks,
Heather

---

From: Russ Housley <[email-masked]>
Date: Wed, 30 Mar 2016 15:39:38 -0400

Heather:

I would not know how to bid on this task.  It really just says to work with the RSE and the community to come up with a CSS.  I think you need to give an expected sequence of events.  Maybe something like:

	- vendor comes up with a strawman CSS,
	- RSE review,
	- revise strawman CSS,
	- community review, and then
	- produce final CSS.

Russ